<odoo>
<record id="action_plan_summary_report" model="ir.actions.report">
        <field name="name">Action Plan Summary Reports</field>
        <field name="model">sos_action_plan_summary_week_wise</field>
        <field name="report_type">qweb-html</field>
        <field name="report_name">sos_sales.report_action_plan_summary</field>
        <field name="print_report_name">Action_Plan_Summary</field>
    </record>
    <template id="report_action_plan_summary">
    <t t-call="web.basic_layout">
        <t t-call="web.html_container">
            <link rel="stylesheet" href="/sos_inventory/static/src/css/style.css?v=7" />
            <div class="page">
                <div style="padding: 2px;">
                    <style>
                    .zoom {
  transition: transform .2s;

}

.zoom:hover {
  -ms-transform: scale(1.5); /* IE 9 */
  -webkit-transform: scale(1.5); /* Safari 3-8 */
  transform: scale(1.5); 
}
                        .summary_table th, .summary_table td {
                            border: 1px solid #ccc;
                            padding: 4px;
                            text-align: center;
                            font-size: 15px;
                        }
                        .weekly-col { background-color: #e8f1ff; }
                        .mtd-col    { background-color: #fff3d1; }
                        .qtd-col    { background-color: #e8f1ff; }
                        .ytd-col    { background-color: #fff3d1; }
                    </style>
<div style="font-weight: bold;padding: 10px;border: solid 1px #ccc;">Sales Executive : <t t-esc="sales_person_name"/></div>
 <table class="summary_table" style="width: 100%; border-collapse: collapse;">
    <thead>
        <tr>
            <th class="weekly-col" colspan="7">Weekly (<t t-esc="week_number"/>)</th>
            <th class="mtd-col" colspan="7">Monthly Till Date (<t t-esc="month_number"/>)</th>
        </tr>
        <tr>
            <th class="weekly-col">Action Type</th>
            <t t-foreach="column_headers" t-as="col">
                <th class="weekly-col"><t t-esc="col"/></th>
            </t>
            <th class="weekly-col">Total</th>

            <t t-foreach="column_headers" t-as="col">
                <th class="mtd-col"><t t-esc="col"/></th>
            </t>
            <th class="mtd-col">Total</th>
        </tr>
    </thead>
    <tbody>
        <t t-foreach="table_data_week.items()" t-as="row">
            <tr>
                <td  class="zoom"><t t-esc="row[0]"/></td>
                
                <!-- Weekly data -->
                <t t-foreach="column_headers" t-as="col">
                    <td  class="zoom"><t t-esc="row[1].get(col, '')"/></td>
                </t>
                <td  class="zoom"><t t-esc="row[1].get('Total', '')"/></td>

                <!-- MTD data -->
                <t t-set="mtd_row" t-value="table_data_mtd.get(row[0], {})"/>
                <t t-foreach="column_headers" t-as="col">
                    <td  class="zoom"><t t-esc="mtd_row.get(col, '')"/></td>
                </t>
                <td  class="zoom"><t t-esc="mtd_row.get('Total', '')"/></td>
            </tr>
        </t>
        <tr>
            <th>Total</th>
            <t t-foreach="column_headers" t-as="col">
                <th class="zoom"><t t-esc="column_totals_week.get(col, '')"/></th>
            </t>
            <th class="zoom"><t t-esc="column_totals_week.get('Total', '')"/></th>

            <t t-foreach="column_headers" t-as="col">
                <th class="zoom"><t t-esc="column_totals_mtd.get(col, '')"/></th>
            </t>
            <th class="zoom"><t t-esc="column_totals_mtd.get('Total', '')"/></th>
        </tr>
    </tbody>
</table>
<table class="summary_table" style="width: 100%; border-collapse: collapse;">
    <thead>
        <tr>
            <th class="qtd-col" colspan="7">Quartely Till Date (<t t-esc="quarter_number"/>)</th>
            <th class="ytd-col" colspan="7">Yearly Till Date (<t t-esc="year_number"/>)</th>
        </tr>
        <tr>
            <th class="qtd-col">Action Type</th>
            <t t-foreach="column_headers" t-as="col">
                <th class="qtd-col"><t t-esc="col"/></th>
            </t>
            <th class="qtd-col">Total</th>

            <t t-foreach="column_headers" t-as="col">
                <th class="ytd-col"><t t-esc="col"/></th>
            </t>
            <th class="ytd-col">Total</th>
        </tr>
    </thead>
    <tbody>
        <t t-foreach="table_data_qtd.items()" t-as="row">
            <tr>
                <td  class="zoom"><t t-esc="row[0]"/></td>

                <!-- QTD data -->
                <t t-foreach="column_headers" t-as="col">
                    <td  class="zoom"><t t-esc="row[1].get(col, '')"/></td>
                </t>
                <td  class="zoom"><t t-esc="row[1].get('Total', '')"/></td>

                <!-- YTD data -->
                <t t-set="ytd_row" t-value="table_data_ytd.get(row[0], {})"/>
                <t t-foreach="column_headers" t-as="col">
                    <td  class="zoom"><t t-esc="ytd_row.get(col, '')"/></td>
                </t>
                <td  class="zoom"><t t-esc="ytd_row.get('Total', '')"/></td>
            </tr>
        </t>
        <tr>
            <th>Total</th>

            <!-- QTD footer -->
            <t t-foreach="column_headers" t-as="col">
                <th class="zoom"><t t-esc="column_totals_qtd.get(col, '')"/></th>
            </t>
            <th class="zoom"><t t-esc="column_totals_qtd.get('Total', '')"/></th>

            <!-- YTD footer -->
            <t t-foreach="column_headers" t-as="col">
                <th class="zoom"><t t-esc="column_totals_ytd.get(col, '')"/></th>
            </t>
            <th class="zoom"><t t-esc="column_totals_ytd.get('Total', '')"/></th>
        </tr>
    </tbody>
</table>


                </div>
            </div>
        </t>
    </t>
</template>

</odoo>